Bug 439501

Summary: Xen Guest Can Crash Host
Product: [Fedora] Fedora Reporter: Jonathan Steffan <jonathansteffan>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: berrange, clalance
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:16:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jonathan Steffan 2008-03-28 16:17:55 EDT
Description of problem:
Warning: Yes, you don't do this in production. I'm just playing around.

I have my Fedora 8 x86_64 desktop running 2.6.24.3-50.fc8.

I have provisioned an EL5 x86_64 KVM guest that is running the EL5 Xen kernel
(the latest.) Everything works as expected.

When I go to provision an i386 Xen guest (yes, on the KVM virtual machine) the
Fedora 8 host crashes. If the Xen guest is x86_64, everything works as expected.


Version-Release number of selected component (if applicable):
kvm-60-3.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Provision a KVM (full virt) x86_64 EL5 guest running a Xen hypervisor
2. Try to power on a para virt x86 guest.
  
Actual results:
Boom.

Expected results:
Cheers!

Additional info:
Yes, running Xen inside a KVM guest is poor. This is just for testing/learning.
However, Warren has asked I report the metal host locking.
Comment 1 Daniel Berrange 2008-03-28 16:23:01 EDT
What kernel version on the host ?

The KVM kernel modules in F8 are pretty old at this point in time. If you're
able to, it'd be worth trying the latest  F9 rawhide kernel RPM & seeing if it
also crashes.
Comment 2 Jonathan Steffan 2008-03-28 16:53:43 EDT
2.6.24.3-50.fc8 is running on the host (the actual hardware.) If I find a moment
where I don't need my machine running, I'll try the latest rawhide kernel.
Comment 3 Bug Zapper 2008-11-26 05:17:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:16:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.